Support » Allgemeine Fragen » Quick edits und schlagwörter funktionieren nicht

  • Hallo,

    seit gestern, wenn wir im Backend Quick edit oder Schlagwörter bei den Beiträgen benutzen wollen, bekommen wir nur noch Konsolen Fehler und es passiert nichts.

    Wenn wir einen Quick edit machen wollen, kommt das:
    Uncaught TypeError: i.wpTagsSuggest is not a function
    at HTMLDivElement.<anonymous> (inline-edit-post.min.js?ver=5.9:2:4270)
    at Function.each (jquery.min.js?ver=3.6.0:2:3003)
    at s.fn.init.each (jquery.min.js?ver=3.6.0:2:1481)
    at Object.edit (inline-edit-post.min.js?ver=5.9:2:4006)
    at HTMLButtonElement.<anonymous> (inline-edit-post.min.js?ver=5.9:2:987)
    at HTMLTableSectionElement.dispatch (jquery.min.js?ver=3.6.0:2:43064)
    at HTMLTableSectionElement.v.handle (jquery.min.js?ver=3.6.0:2:41048)
    Wenn man neue Schlagwörter anlegen will, wird man einfach ins Frontend geschmissen.

    Ich hab erst vermutet, dass die Fehler durch ein Plugin oder Ähnliches kommen, aber ich habe bereits versucht, alle Plugins zu deaktivieren und das hat nicht geholfen. Auch das umstellen auf das Standard Theme TwentyTwenty hat nicht geholfen. Eine Aktualisierung der PHP-Version habe ich auch bereits probiert, aber das hat auch nicht geholfen.
    Hat irgendjemand eine Ahnung, wodurch das kommen könnte? Das hat quasi jetzt auf einmal angefangen.

    Danke im Voraus
    Gerry`

Ansicht von 12 Antworten - 1 bis 12 (von insgesamt 12)
  • Hallo,
    wenn du dann noch die URL oben einträgst, dann können wir uns das auch ansehen und dir sicher besser helfen. Lies bitte auch noch mal: Bevor du ein neues Thema (Thread) erstellst.

    Du findest unter Werkzeuge > Websitezustand > Info einen Bericht zur Website. Warte bitte einen Moment bis die Ladeanzeige ganz oben abgeschlossen ist und kopiere dann per Button den Website-Bericht in deine Zwischenablage. Über den Button „Bericht in die Zwischenablage kopieren“ kannst du den Bericht unverändert (bitte mit den Akzentzeichen am Anfang und Ende) einfügen und anschließend hier posten. Evtl. ergeben sich dann weitere Anhaltspunkte, ob und wo das Problem liegt.

    Viele Grüße
    Hans-Gerd

    Thread-Ersteller gerryj

    (@gerryj)

    Hallo Hans-Gerd
    es geht um https://radio-m.de/.

    Hier ist der Bericht:

    
    ### wp-core ###
    
    version: 5.9
    site_language: de_DE
    user_language: de_DE
    permalink: /%category%/%postname%/
    https_status: true
    user_registration: 0
    default_comment_status: open
    multisite: false
    user_count: 7
    dotorg_communication: true
    
    ### wp-paths-sizes ###
    
    wordpress_path: /html/public
    wordpress_size: 249,07 MB (261169146 bytes)
    uploads_path: /html/public/wp-content/uploads
    uploads_size: 15,29 GB (16414171274 bytes)
    themes_path: /html/public/wp-content/themes
    themes_size: 67,08 MB (70338711 bytes)
    plugins_path: /html/public/wp-content/plugins
    plugins_size: 122,40 MB (128346483 bytes)
    database_size: 177,08 MB (185679872 bytes)
    total_size: 15,89 GB (17059705486 bytes)
    
    ### wp-active-theme ###
    
    name: radio-m (enfold-child)
    version: 1.0
    author: Kriesi
    author_website: http://www.kriesi.at
    parent_theme: Enfold (enfold)
    theme_features: core-block-patterns, avia_exclude_bbPress, deactivate_tribe_events_calendar, avia_exclude_GFForms, avia_exclude_menu_exchange, avia_exclude_pojo_accessibility, avia_exclude_wp_accessibility, avia_exclude_WooCommerce, avia_exclude_wpml, avia_exclude_instagram_feed, avia_exclude_leaflet_map, avia_mega_menu, avia_improved_backend_style, avia_option_pages_toggles, avia_sidebar_manager, automatic-feed-links, nav_menus, menus, widgets, post-formats, avia-disable-default-shortcodes, avia_post_meta_compat, force-post-thumbnails-in-widget, post-thumbnails, widgets-block-editor, title-tag, editor-styles, editor-style, customize-selective-refresh-widgets, responsive-embeds, editor-color-palette, editor-font-sizes
    theme_path: /html/public/wp-content/themes/enfold-child
    
    ### wp-parent-theme ###
    
    name: Enfold (enfold)
    version: 4.8.7.1
    author: Kriesi
    author_website: https://kriesi.at
    theme_path: /html/public/wp-content/themes/enfold
    
    ### wp-themes-inactive (4) ###
    
    Twenty Nineteen: version: 2.1, author: WordPress-Team (latest version: 2.2)
    Twenty Twenty: version: 1.8, author: WordPress-Team (latest version: 1.9)
    Twenty Twenty-One: version: 1.4, author: WordPress-Team (latest version: 1.5)
    Twenty Twenty-Two: version: 1.0, author: WordPress-Team
    
    ### wp-mu-plugins (1) ###
    
    Health Check Troubleshooting Mode: author: (undefined), version: 1.7.2
    
    ### wp-plugins-active (28) ###
    
    Advanced Custom Fields: version: 5.11.3, author: Delicious Brains (latest version: 5.11.4)
    Antispam Bee: version: 2.10.0, author: pluginkollektiv
    Borlabs Cookie - Cookie Opt-in: version: 2.2.12, author: Benjamin A. Bornschein, Borlabs (latest version: 2.2.48)
    Conditional Fields for Contact Form 7: version: 2.0.8, author: Jules Colle (latest version: 2.1.1)
    Contact Form 7: version: 5.5.3, author: Takayuki Miyoshi (latest version: 5.5.5)
    Duplicate Page: version: 4.4.5, author: mndpsingh287 (latest version: 4.4.8)
    Health Check & Troubleshooting: version: 1.4.5, author: The WordPress.org community
    HTTP Headers: version: 1.18.5, author: Dimitar Ivanov
    iThemes Security: version: 8.0.1, author: iThemes (latest version: 8.0.2)
    Load More Anything: version: 2.4.6, author: Akhtarujjaman Shuvo (latest version: 2.4.7)
    Missed Scheduled Posts Publisher: version: 1.0.0, author: WPBeginner
    Newsletter: version: 7.3.1, author: Stefano Lissa & The Newsletter Team (latest version: 7.3.8)
    Newsletter - Addons Manager: version: 1.1.5, author: The Newsletter Team (latest version: 1.1.6)
    Newsletter - Automated Newsletters: version: 4.5.3, author: The Newsletter Team (latest version: 4.5.4)
    Newsletter - Contact Form 7: version: 4.2.4, author: The Newsletter Team (latest version: 4.2.5)
    Newsletter - Extended Composer Blocks: version: 1.3.5, author: The Newsletter Team (latest version: 1.3.7)
    Newsletter - Reports and Retargeting: version: 4.4.3, author: The Newsletter Team
    Newsletter - SMTP Addon: version: 1.0.1, author: The Newsletter Team
    PHP native password hash: version: 2.1, author: Ayesh Karunaratne
    ProfilePress: version: 3.2.6, author: ProfilePress Team (latest version: 3.2.8)
    Really Simple SSL: version: 5.0.6, author: Really Simple Plugins (latest version: 5.2.3)
    Redirection: version: 5.1.3, author: John Godley (latest version: 5.2.3)
    Relevanssi: version: 4.14.7, author: Mikko Saari
    Seriously Simple Podcasting: version: 2.9.9, author: Castos (latest version: 2.11.0)
    Simple History: version: 2.42.0, author: Pär Thernström (latest version: 3.2.0)
    User Role Editor: version: 4.61.1, author: Vladimir Garagulya
    WPForms Lite: version: 1.7.2, author: WPForms (latest version: 1.7.2.1)
    Yoast SEO: version: 16.8, author: Team Yoast (latest version: 18.1)
    
    ### wp-plugins-inactive (5) ###
    
    Akismet Anti-Spam: version: 4.1.10, author: Automattic (latest version: 4.2.2)
    Enable jQuery Migrate Helper: version: 1.3.0, author: The WordPress Team
    W3 Total Cache: version: 2.2.1, author: BoldGrid
    WP Mail SMTP: version: 3.2.1, author: WPForms
    WP Super Cache: version: 1.7.4, author: Automattic (latest version: 1.7.7)
    
    ### wp-media ###
    
    image_editor: WP_Image_Editor_Imagick
    imagick_module_version: 1690
    imagemagick_version: ImageMagick 6.9.10-23 Q16 x86_64 20190101 https://imagemagick.org
    imagick_limits: 
    	imagick::RESOURCETYPE_AREA: 177 GB
    	imagick::RESOURCETYPE_DISK: 1.844674407371E+19
    	imagick::RESOURCETYPE_FILE: 3072
    	imagick::RESOURCETYPE_MAP: 177 GB
    	imagick::RESOURCETYPE_MEMORY: 88 GB
    	imagick::RESOURCETYPE_THREAD: 16
    gd_version: bundled (2.1.0 compatible)
    ghostscript_version: not available
    
    ### wp-server ###
    
    server_architecture: Linux 5.4.0-97-generic x86_64
    httpd_software: Apache
    php_version: 7.4.13 64bit
    php_sapi: fpm-fcgi
    max_input_variables: 1500
    time_limit: 240
    memory_limit: 256M
    max_input_time: 240
    upload_max_size: 32M
    php_post_max_size: 32M
    curl_version: 7.68.0 OpenSSL/1.1.1f
    suhosin: false
    imagick_availability: true
    server-headers: 
    	date: Tue, 15 Feb 2022 08:30:17 GMT
    	server: Apache
    	expires: Thu, 19 Nov 1981 08:52:00 GMT
    	cache-control: no-store, no-cache, must-revalidate
    	pragma: no-cache
    	link: <https://radio-m.de/wp-json/>; rel="https://api.w.org/", <https://radio-m.de/wp-json/wp/v2/pages/43>; rel="alternate"; type="application/json", <https://radio-m.de/>; rel=shortlink
    	set-cookie: ppwp_wp_session=4daee8312fa9e8a8b2403ccf9249d04c%7C%7C1644915550%7C%7C1644915190; expires=Tue, 15-Feb-2022 08:59:10 GMT; Max-Age=1732; path=/
    	upgrade: h2,h2c
    	vary: Accept-Encoding
    	content-encoding: gzip
    	content-length: 39294
    	content-type: text/html; charset=UTF-8
    htaccess_extra_rules: true
    
    ### wp-database ###
    
    extension: mysqli
    server_version: 5.7.25-28
    client_version: mysqlnd 7.4.13
    
    ### wp-constants ###
    
    WP_HOME: undefined
    WP_SITEURL: undefined
    WP_CONTENT_DIR: /html/public/wp-content
    WP_PLUGIN_DIR: /html/public/wp-content/plugins
    WP_MAX_MEMORY_LIMIT: 256M
    WP_DEBUG: false
    WP_DEBUG_DISPLAY: true
    WP_DEBUG_LOG: false
    SCRIPT_DEBUG: false
    WP_CACHE: false
    CONCATENATE_SCRIPTS: undefined
    COMPRESS_SCRIPTS: undefined
    COMPRESS_CSS: undefined
    WP_LOCAL_DEV: undefined
    
    ### wp-filesystem ###
    
    wordpress: writable
    wp-content: writable
    uploads: writable
    plugins: writable
    themes: writable
    mu-plugins: writable
    
    ### wpforms ###
    
    version: 1.7.2
    lite: Jan 21, 2022 @ 4:30pm
    upload_dir: Beschreibbar
    db_tables: wp_5xy_wpforms_tasks_meta
    total_forms: undefined
    total_submissions: undefined
    
    

    Hoffentlich kannst du damit etwas anfangen.

    Viele Grüße
    Gerry Zeller

    Hallo,
    möglicherweise ist W3 Total Cache nicht korrekt deinstalliert worden, siehe hier.
    Evtl. ist es auch hilfreich, wenn du die Version 5.9 noch mal installierst. Den Button findest du unter Dashboard > Aktualisierungen. Könnte ja sein, dass einige Dateien defekt sind.

    Hier noch ein paar Dinge, die mir aufgefallen sind, aber mit dem Problem nichts zu tun haben dürften.
    Mit 15,89 GB ist die Instanz relativ groß. Du könntest auch noch mal prüfen, ob da nicht Dateien gelöscht werden können (alte Sicherungen, etc.).

    Really Simple SSL wird in der Regel nicht benötigt, wenn man die Umstellung auf https korrekt durchführt.

    Vielleicht hilft doch noch mal die folgende (Standard-)Vorgehensweise, auch wenn du das wohl schon gemacht hast:
    Wenn du du unter Werkzeuge > Website-Zustand auf den Button „Problembehandlungsmodus aktivieren“ unter Problembehandlung klickst, werden alle Plugins deaktiviert und als Standardtheme twenty twenty oder Twenty Twenty-One aktiviert. Dann kannst du sehen, ob die beschriebenen Probleme noch weiterhin auftauchen. Aktiviere dann Plugin für Plugin im Problembehandlungsmodus und schaue jeweils nach Aktivierung eines Plugins, ob das Problem noch besteht. Auf diese Weise kannst du möglicherweise ein Plugin finden, dass das Problem verursacht. Vorteil dabei ist, dass Besucher deine Webseite mit allen Infos und Plugins sehen, während nur für dich alle Plugins deaktiviert sind.
    Lies dir dazu bitte auch mal die Informationen in dem Beitrag zu Health Check durch.

    Viele Grüße
    Hans-Gerd

    Vorab: Bei Fragen zu gekauften Themes (hier: Enfold) können wir dir nicht weiterhelfen, weil sie uns für einen kostenlosen Support nicht kostenlos zur Verfügung stehen. Bitte wende dich bei Fragen zu diesem Theme an die Entwickler.

    Die von dir verwendete Version ist außerdem nicht aktuell. Für das geschilderte Problem ist das aber eher unbedeutend.

    Hast du versucht, WordPress nochmal neu zu aktualisieren? (Dahsboard > Aktualisierungen > 5.9 erneut aktualisieren) Funktioniert es dann?

    Moin Gerry,
    Sind alle Plugins aktuell?

    Du hattest schon geschrieben, dass du es versucht hast, dennoch würde ich dich nochmal bitten:
    Deaktiviere alle Plugins und Wechsel auf das Standard Theme. Dann probiere es mal mit einem anderen Browser.

    Die Wahrscheinlichkeit dass es an einem Plugin liegt ist äußerst hoch. Selbst viele bekannte Plugins haben in der Vergangenheit vergleichbare Probleme erzeugt.
    Wenn du einen anderen Browser verwendest, den du sonst nicht nutzt, sollten keine Caches oder Browserplugins eingreifen, das hilft der Analyse sicherlich auch.

    Edit:huh, da waren andere wieder viel schneller

    • Diese Antwort wurde geändert vor 4 Monaten, 3 Wochen von Michi91.
    Thread-Ersteller gerryj

    (@gerryj)

    Wie schon gesagt, habe ich bereits mit Health Check & Troubleshooting festgestellt, dass die Fehler weder durch die Plugins noch von dem Enfold theme kommen. Der Fehler kommt durch WP selber denke ich.

    Ich werde nochmal versuchen W3 richtig zu deinstallieren und 5.9 erneut zu installieren, danach melde ich mich nochmal.

    Viele Grüße
    Gerry

    Thread-Ersteller gerryj

    (@gerryj)

    Hi Michi,

    ok, ich werde es auch nochmal mit einem anderen Browser probieren.

    Viele Grüße
    Gerry

    Thread-Ersteller gerryj

    (@gerryj)

    – Ich habe es jetzt bereits mit WP Version 5.8.3 und 5.8 probiert, genau die gleichen Fehler.
    – Habe auch auf einen anderen Browser (Firefox), alle Plugins deaktiviert und Theme gewechselt. Fehler kamen trotzdem.
    – Die Seite mit der W3 Deinstallation, scheint schon veraltet zu sein. Der Beitrag ist von 2016 und die files die dort angesprochen werden gibt es glaube ich gar nicht mehr in der Installation.

    Könnte es vielleicht etwas mit dem Server selber zu tun haben?

    Thread-Ersteller gerryj

    (@gerryj)

    Irgendjemand noch weitere Ideen?


    Moderationshinweis: Bitte lies nochmal unsere Forenregeln: Das Pushen von Beiträgen ist hier ausdrücklich unerwünscht. Wir schließen eigentlich gepushte Threads sofort, aber ich lasse es hier bei einem Hinweis.

    Wir helfen in unserer freien Zeit. Die müssen wir uns auch irgendwie einteilen und deshalb können wir keine Antwortzeiten garantieren. Wenn dir das nicht ausreicht, wende dich bitte an einen Dienstleister.

    • Diese Antwort wurde geändert vor 4 Monaten, 3 Wochen von Bego Mario Garde. Grund: Kein Bumping von Threads

    Ich hab mir die Fehlermelung Uncaught TypeError: i.wpTagsSuggest is not a function nochmal angesehen. Es gibt im Code eine JavaScript-Funktion wpTagsSuggest aber ich frage mich, ob hier vielleicht die Zusammenfassung von JavaScript den Fehler auslöst. Das könnest du prüfen, indem du in der wp-config.php folgende Zeile hinzufügst:

    define( 'CONCATENATE_SCRIPTS', false );

    Grundsätzlich solltest du bei der Fehlersuche alle Cache-und Optimierungs-Plugins erst einmal vollständig deaktivieren, weil sie unter Umständen auch nach einer Änderung weiterhin eine zwischengespeicherte Webseite ausgeben. Bei W3C ist das etwas komplizierter, weil sich das Plugin an verschiedenen Stellen einnistet. Diese Anleitung aus dem Juli 2021 sollte aktuell genug sein:
    Uninstalling WP Rocket

    Thread-Ersteller gerryj

    (@gerryj)

    Ich habe diesen Code in der wp-config.php probiert, leider gab es keinen Unterschied. Es kommt noch die genau gleiche Fehlermeldung

    Habe auch nochmal komplett W3 Deinstalliert und in der wp-config.php Cache auf false gestellt und alle noch vorhandenen W3 Dateien gelöscht.
    Leider auch keinen Unterschied.

    Ich habe jetzt auch nochmal Full Updates aller Plugins und des Themes gemacht, hat leider auch nichts gebracht.

    Mir sind noch zwei andere Meldung in der Konsole aufgefallen, ich habe diese vorher nicht angegeben, da ich mir nicht sicher bin ob sie überhaupt mit dem Fehler zu tun haben. Diese Zwei Meldung kommen direkt, wenn man die Beitrags Übersicht aufruft.

    Erste Meldung:

    deprecated.min.js?ver=8778985ac0dfb16f24f8ef86d0718f43:2 wp.compose.withState is deprecated. Please use wp.element.useState instead.
    i @ deprecated.min.js?ver=8778985ac0dfb16f24f8ef86d0718f43:2
    w @ compose.min.js?ver=058697a4c5024045c81954f411ff6dba:2
    rE5z @ admin-notices.js?ver=bfe6a1f62efb9b994bc2:7
    i @ runtime.js?ver=2764a6f91ebd0d585467:1
    dwGD @ admin-notices.js?ver=bfe6a1f62efb9b994bc2:7
    i @ runtime.js?ver=2764a6f91ebd0d585467:1
    t @ runtime.js?ver=2764a6f91ebd0d585467:1
    r @ runtime.js?ver=2764a6f91ebd0d585467:1
    (anonymous) @ admin-notices.js?ver=bfe6a1f62efb9b994bc2:1
    
    Zweite Meldung:
    tags-suggest.min.js?ver=5.9:1 Uncaught SyntaxError: Unexpected token '<'

    Jede Hilfe wäre nett, ich stochere mittlerweile nur noch im Dunkeln.

    Weil ich dort „deprecated“ lese: Installier mal das Plugin Enable jQuery Migrate Helper. Unter Werkzeuge > jQuery Migrate musst du dann noch im Pulldown-Menü die jQuery-Version „Legacy“ auswählen.

    Wenn’s nichts bringt, wieder das Plugin löschen. Einen Versuch wäre es wert.

Ansicht von 12 Antworten - 1 bis 12 (von insgesamt 12)